YepAPI
AI Models

Lyria 3 Clip

Generate 30-second music clips from text prompts or images via Lyria 3. Outputs MP3.

POST/v1/media/queue
$0.05/call

Overview

Generate 30-second music clips from text prompts or images. Supports custom lyrics with structural tags.

PropertyValue
Model IDgoogle/lyria-3-clip
Upstream Modellyria-3-clip-preview
Output30-second clip (MP3)
Pricing$0.05/song

Usage

All media models use the async job queue. Submit a job, then poll for the result.

Step 1: Submit Job

const res = await fetch('https://api.yepapi.com/v1/media/queue', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'google/lyria-3-clip',
    prompt: 'An upbeat electronic track with a driving bassline',
  }),
});
const { data } = await res.json();
// data.jobId — use this to poll for results
curl -X POST https://api.yepapi.com/v1/media/queue \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "google/lyria-3-clip", "prompt": "An upbeat electronic track with a driving bassline"}'

Step 2: Poll for Result

const status = await fetch(`https://api.yepapi.com/v1/media/status/${data.jobId}`, {
  headers: { 'x-api-key': 'YOUR_API_KEY' },
});
const { data: job } = await status.json();
// job.status — "pending" | "processing" | "completed" | "failed"
// job.result.audio — { mimeType, base64 } when completed
curl https://api.yepapi.com/v1/media/status/JOB_ID \
  -H "x-api-key: YOUR_API_KEY"

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesgoogle/lyria-3-clip
promptstringYesText description of the music

Features

  • Text-to-music from descriptive prompts
  • Image-to-music (up to 10 images)
  • Custom lyrics with structural tags ([Verse], [Chorus], [Bridge])
  • Timestamp control
Under the Hood

Powered by Google's Gemini API directly.

On this page